--If you would like to contribute to localization, please contact me via
--Curse.com or WoWInterface.com, I am Nirrudn on both sites.

GOMLLocalization = {};

--Defaults, enUS
GOMLLocalization["DRAGONBLIGHT"] = "Dragonblight";
GOMLLocalization["WINTERGRASP"] = "Wintergrasp";
GOMLLocalization["ARCANIST_BRAEDIN"] = "Arcanist Braedin";
GOMLLocalization["SQUIRE_CAVIN"] = "Squire Cavin";
GOMLLocalization["THE_BLACK_KNIGHT"] = "The Black Knight";
GOMLLocalization["VALIANT"] = "Valiant"; --This is for NPCs at the Argent Tournament.  Gnomeregan Valiant, etc.
GOMLLocalization["CHAMPION"] = "Champion"; --This is for NPCs at the Argent Tournament.  Undercity Champion, etc.
GOMLLocalization["DESERTER_AGITATOR"] = "Deserter Agitator";
GOMLLocalization["MARK_OF_HONOR"] = "Mark of Honor";
GOMLLocalization["RAID_MULTI_JOIN"] = "%s have joined the raid."; --%s will be the list of names
GOMLLocalization["RAID_MULTI_LEAVE"] = "%s have left the raid."; --%s will be the list of names
GOMLLocalization["ACHIEVEMENT_MULTI_EARNED"] = "%s have earned the achievement %s"; --First %s are the people, second is the achievement

if GetLocale() == "frFR" then

	GOMLLocalization["DRAGONBLIGHT"] = "Dsolation des dragons";
	GOMLLocalization["WINTERGRASP"] = "Joug-d'hiver";
	GOMLLocalization["ARCANIST_BRAEDIN"] = "Arcaniste Braedin";
	GOMLLocalization["SQUIRE_CAVIN"] = "Ecuyer Cavin";
	GOMLLocalization["THE_BLACK_KNIGHT"] = "Le Chevalier noir";
	GOMLLocalization["VALIANT"] = "Vaillant"; --This is for NPCs at the Argent Tournament.  Gnomeregan Valiant, etc.
	GOMLLocalization["CHAMPION"] = "Champion"; --This is for NPCs at the Argent Tournament.  Undercity Champion, etc.
	GOMLLocalization["DESERTER_AGITATOR"] = "Agitateur des dserteurs";
	GOMLLocalization["MARK_OF_HONOR"] = "Marque d'honneur";

elseif GetLocale() == "deDE" then

	GOMLLocalization["DRAGONBLIGHT"] = "Drachende";
	GOMLLocalization["WINTERGRASP"] = "Tausendwintersee";
	GOMLLocalization["ARCANIST_BRAEDIN"] = "Arkanist Braedin";
	GOMLLocalization["SQUIRE_CAVIN"] = "Knappe Cavin";
	GOMLLocalization["THE_BLACK_KNIGHT"] = "Der Schwarze Ritter";
	GOMLLocalization["VALIANT"] = "Recke"; --This is for NPCs at the Argent Tournament.  Gnomeregan Valiant, etc.
	GOMLLocalization["CHAMPION"] = "Champion"; --This is for NPCs at the Argent Tournament.  Undercity Champion, etc.
	GOMLLocalization["DESERTER_AGITATOR"] = "Aufwiegler der Deserteure";
	GOMLLocalization["MARK_OF_HONOR"] = "Ehrenabzeichen";

elseif GetLocale() == "koKR" then

elseif GetLocale() == "zhCN" then

elseif GetLocale() == "zhTW" then

elseif GetLocale() == "ruRU" then

elseif GetLocale() == "esES" then

elseif GetLocale() == "esMX" then

end


--Some global strings, don't edit these as they are automatically localized and modified for pattern matching

--Loot/item messages
GOMLLocalization["LOOT_ITEM"] = LOOT_ITEM:gsub("%%s", ".*");
GOMLLocalization["CREATED_ITEM"] = CREATED_ITEM:gsub("%%s", ".*");
GOMLLocalization["LOOTITEMLIST"] = {
					GetItemInfo(40752) or "Emblem of Heroism",
					GetItemInfo(40753) or "Emblem of Valor",
					GetItemInfo(45624) or "Emblem of Conquest",
					GetItemInfo(47241) or "Emblem of Triumph",
					GetItemInfo(43228) or "Stone Keeper's Shard",
					GetItemInfo(44990) or "Champion's Seal",
				}

--Spell names, etc.
GOMLLocalization["SERENITY"] = GetSpellInfo(60778) or "Serenity";


--Drinking messages
GOMLLocalization["DRUNK_MESSAGE_ITEM_OTHER1"] = DRUNK_MESSAGE_ITEM_OTHER1:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_ITEM_OTHER2"] = DRUNK_MESSAGE_ITEM_OTHER2:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_ITEM_OTHER3"] = DRUNK_MESSAGE_ITEM_OTHER3:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_ITEM_OTHER4"] = DRUNK_MESSAGE_ITEM_OTHER4:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_OTHER1"] = DRUNK_MESSAGE_OTHER1:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_OTHER2"] = DRUNK_MESSAGE_OTHER2:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_OTHER3"] = DRUNK_MESSAGE_OTHER3:gsub("%%s", ".*");
GOMLLocalization["DRUNK_MESSAGE_OTHER4"] = DRUNK_MESSAGE_OTHER4:gsub("%%s", ".*");

--Duel messages
GOMLLocalization["DUEL_WINNER_KNOCKOUT"] = DUEL_WINNER_KNOCKOUT:gsub("%%%d$s", ".*");
GOMLLocalization["DUEL_WINNER_RETREAT"] = DUEL_WINNER_RETREAT:gsub("%%%d$s", ".*");

--Player/pet ability messages
GOMLLocalization["ERR_LEARN_ABILITY_S"] = ERR_LEARN_ABILITY_S:gsub("%%s", ".*");
GOMLLocalization["ERR_LEARN_SPELL_S"] = ERR_LEARN_SPELL_S:gsub("%%s", ".*");
GOMLLocalization["ERR_PET_LEARN_ABILITY_S"] = ERR_PET_LEARN_ABILITY_S:gsub("%%s", ".*");
GOMLLocalization["ERR_PET_LEARN_SPELL_S"] = ERR_PET_LEARN_SPELL_S:gsub("%%s", ".*");
GOMLLocalization["ERR_SPELL_UNLEARNED_S"] = ERR_SPELL_UNLEARNED_S:gsub("%%s", ".*");
GOMLLocalization["ERR_PET_SPELL_UNLEARNED_S"] = ERR_PET_SPELL_UNLEARNED_S:gsub("%%s", ".*");

--Raid joins/leaves
GOMLLocalization["ERR_RAID_MEMBER_ADDED_S"] = ERR_RAID_MEMBER_ADDED_S:gsub("%%s", ".*");
GOMLLocalization["ERR_RAID_MEMBER_REMOVED_S"] = ERR_RAID_MEMBER_REMOVED_S:gsub("%%s", ".*");

--Auction House messages
GOMLLocalization["ERR_AUCTION_SOLD_S"] = ERR_AUCTION_SOLD_S:gsub("%%s", ".*");
GOMLLocalization["ERR_AUCTION_EXPIRED_S"] = ERR_AUCTION_EXPIRED_S:gsub("%%s", ".*");
GOMLLocalization["ERR_AUCTION_OUTBID_S"] = ERR_AUCTION_OUTBID_S:gsub("%%s", ".*");
GOMLLocalization["ERR_AUCTION_WON_S"] = ERR_AUCTION_WON_S:gsub("%%s", ".*");

--Achievement messages
GOMLLocalization["ACHIEVEMENT_BROADCAST"] = ACHIEVEMENT_BROADCAST:gsub("%%s", ".*");